> ## Documentation Index
> Fetch the complete documentation index at: https://help.eazybe.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Desteklenen herhangi bir mesaj türünü gönder

> Desteklenen herhangi bir mesaj türünü gönder. Bu işlem için parametreleri, örneği ve kullanılabilir yanıtları inceleyin.



## OpenAPI

````yaml tr/api-reference/meta/openapi.json POST /meta/phone-numbers/{phoneNumberId}/messages
openapi: 3.1.0
info:
  title: Eazybe Meta API Katmanı
  version: 1.0.0
  description: >-
    WhatsApp Business Cloud API için kimlik doğrulamalı tek bir Eazybe REST
    yüzeyi.
servers:
  - url: https://cerberus.eazybe.com/staging/api/v2
    description: Bu yer tutucuyu ortamınıza atanmış Eazybe API sunucusuyla değiştirin.
security:
  - bearerAuth: []
tags:
  - name: Telefon numaraları
    description: Bağlı WABA ve telefon numarası kimliklerini bulun.
  - name: Mesajlaşma
    description: WhatsApp mesajları gönderin ve mesaj durumunu güncelleyin.
  - name: Şablonlar
    description: WhatsApp mesaj şablonlarını yönetin.
  - name: Medya
    description: WhatsApp medya dosyalarını yükleyin, görüntüleyin ve silin.
  - name: Webhook'lar
    description: Bir WABA'nın webhook aboneliklerini yönetin.
  - name: Analizler
    description: Mesajlaşma, konuşma, fiyatlandırma ve şablon analizlerini görüntüleyin.
  - name: Profiller ve ayarlar
    description: İşletme profillerini ve telefon numarası ayarlarını yönetin.
  - name: Otomasyon
    description: Karşılama mesajlarını, başlangıç sorularını ve komutları yapılandırın.
  - name: QR kodları
    description: Sohbete yönlendiren QR kodlarını yönetin.
  - name: Flows
    description: WhatsApp Flows yaşam döngüsünü yönetin.
  - name: Numara yönetimi
    description: >-
      Numaraları kaydedin, PIN'leri yönetin ve birlikte kullanım verilerini
      eşitleyin.
  - name: Engellenenler listesi
    description: WhatsApp kullanıcılarını listeleyin, engelleyin ve engellerini kaldırın.
paths:
  /meta/phone-numbers/{phoneNumberId}/messages:
    post:
      tags:
        - Mesajlaşma
      summary: Desteklenen herhangi bir mesaj türünü gönder
      description: >-
        Desteklenen herhangi bir mesaj türünü gönder. Bu işlem için
        parametreleri, örneği ve kullanılabilir yanıtları inceleyin.
      operationId: sendMessage
      parameters:
        - $ref: '#/components/parameters/PhoneNumberId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - to
                - type
                - image
              properties:
                to:
                  type: string
                type:
                  type: string
                image:
                  type: object
                  required:
                    - id
                    - caption
                  properties:
                    id:
                      type: string
                    caption:
                      type: string
              description: |-
                ```json
                {
                  "to": "919900000001",
                  "type": "image",
                  "image": {
                    "id": "1234567890123456",
                    "caption": "Your invoice"
                  }
                }
                ```
            example:
              to: '919900000001'
              type: image
              image:
                id: '1234567890123456'
                caption: Your invoice
      responses:
        '200':
          description: >-
            Message accepted for delivery


            **Failure responses**


            | **Status** | **Meaning** | **Action** |

            | --- | --- | --- |

            | `401` | Missing, invalid, or expired bearer token |
            Re-authenticate |

            | `404` | `phoneNumberId` not linked to your organization | Verify
            the id |

            | `500` | Gateway rejected the send — malformed message object,
            unopted-in recipient, closed 24-hour window, or rate limit | Read
            `message`; check server logs for the upstream body |
          content:
            application/json:
              schema:
                type: object
                required:
                  - messaging_product
                  - contacts
                  - messages
                properties:
                  messaging_product:
                    type: string
                  contacts:
                    type: array
                    items:
                      type: object
                      required:
                        - input
                        - wa_id
                      properties:
                        input:
                          type: string
                        wa_id:
                          type: string
                  messages:
                    type: array
                    items:
                      type: object
                      required:
                        - id
                        - message_status
                      properties:
                        id:
                          type: string
                        message_status:
                          type: string
              example:
                messaging_product: whatsapp
                contacts:
                  - input: '919900000001'
                    wa_id: '919900000001'
                messages:
                  - id: wamid.HBgMOTE5OTAwMDAwMDAxFQIAERgSN0EyRjc4...
                    message_status: accepted
components:
  parameters:
    PhoneNumberId:
      name: phoneNumberId
      in: path
      required: true
      description: >-
        `GET /meta/phone-numbers` tarafından döndürülen telefon numarası
        kimliği.
      schema:
        type: string
      example: '5647382910'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Eazybe token
      description: >-
        Eazybe bearer tokenı. Token kuruluşu tanımlar ve sunucuda güvenli
        tutulmalıdır.

````